Imports System.Data.SqlClient
Imports System.Globalization
Imports System.Threading.Tasks

Friend Class ActualizadorDestinoUltimoRegistro

    ''' <summary>
    ''' Usar conexion a Maestro de prixus.
    ''' Función hasta establecer conexión retorna valor.
    ''' Diseñada para trabajar dentro de un Worker.
    ''' La cadena de conexión debe estar verficada.
    ''' </summary>
    Friend Function UltimoRegistro(ByVal cadenaConexion As String, Optional ByVal defaultResult As String = "01-01-1900 00:00:00") As String
        Dim resultado As String = defaultResult

        Try
            Dim query = "SELECT CONVERT(VARCHAR,ISNULL((SELECT TOP(1) MAX(FECHA) AS FECHA FROM remasistenciasRegistros), '01-01-1900 00:00:00'),21) AS FECHA"

            'Dim ConexionOk = False
            'Do
            Using conBD = New SqlConnection(cadenaConexion)
                Try
                    conBD.Open()
                    Dim SqlCom = New SqlCommand(query, conBD)
                    SqlCom.CommandType = CommandType.Text
                    Dim sqlRespuesta = SqlCom.ExecuteScalar

                    If IsDate(sqlRespuesta.ToString()) Then
                        resultado = sqlRespuesta
                        'ConexionOk = True
                    End If
                Catch ex As Exception
                    'If TypeOf ex Is SqlException Then
                    '    ' Si tiene problemas de conexión por falta de internet entonces que espere 
                    '    ' 10 seg y vuelva a intentar.
                    '    ' System.Threading.Thread.Sleep(10000)
                    'Else
                    '    ConexionOk = True
                    'End If
                End Try
            End Using
            'Loop While (ConexionOk = False)
        Catch ex As Exception
        End Try

        Return resultado
    End Function
End Class



'Dim sqlReader As SqlDataReader = SqlCom.ExecuteReader





'If Not IsNothing(sqlReader) Then

'If sqlReader.HasRows Then
'Do While sqlReader.Read
'Dim sqlResultado = Convert.ToDateTime(sqlReader.Item("FECHA"), CultureInfo.InvariantCulture)


'If IsDate(sqlResultado.ToString()) Then
'resultado = DateTime.Parse(sqlResultado)
'ConexionOk = True
'End If
'Loop

'End If







